--- a/io-streams-haproxy.cabal
+++ b/io-streams-haproxy.cabal
@@ -1,5 +1,6 @@
 name:                io-streams-haproxy
 version:             1.0.1.0
+x-revision: 3
 synopsis:            HAProxy protocol 1.5 support for io-streams
 
 description: HAProxy protocol version 1.5 support (see
@@ -35,11 +36,11 @@
   other-modules:     System.IO.Streams.Network.Internal.Address
   c-sources:         cbits/byteorder.c
 
-  build-depends:     base              >= 4.5 && < 4.13,
+  build-depends:     base              >= 4.5 && < 4.15,
                      attoparsec        >= 0.7 && < 0.14,
                      bytestring        >= 0.9 && < 0.11,
                      io-streams        >= 1.3 && < 1.6,
-                     network           >= 2.3 && < 3.1,
+                     network           >= 2.3 && < 3.2,
                      transformers      >= 0.3 && < 0.6
   default-language:  Haskell2010
 
